Penguin

Differences between version 7 and predecessor to the previous major change of ArecaNotes.

Other diffs: Previous Revision, Previous Author, or view the Annotated Edit History

Newer page: version 7 Last edited on Wednesday, May 10, 2006 9:46:46 am by JasonAllen Revert
Older page: version 3 Last edited on Wednesday, April 19, 2006 12:49:37 pm by CraigBox Revert
@@ -14,4 +14,82 @@
  
 This can be fixed by booting into a recovery console, mounting the disk, adding 'arcmsr' to /etc/mkinitramfs/modules, and running dpkg-reconfigure linux-image-`uname -r`. 
  
 * [Launchpad bug for this issue|https://launchpad.net/distros/ubuntu/+source/hw-detect/+bug/40075] 
+  
+! Management interface  
+  
+Get the Areca web interface from [Areca's FTP site|ftp://ftp.areca.com.tw/RaidCards/AP_Drivers/Linux/HTTP/].  
+  
+<pre>  
+wget ftp://ftp.areca.com.tw/RaidCards/AP_Drivers/Linux/HTTP/20060321-1.71.200Beta.zip  
+unzip 20060321-1.71.200Beta.zip  
+cd 20060321-1.71.200  
+cp archttp32 /usr/local/sbin/  
+</pre>  
+  
+If you just want to fire up the web interface right away, go ahead and run it - but remember to run it w/ root privileges (ie: 'sudo archttp32/64'). Areca will *not* remind you about the root privileges and will silently fail to find the controllers.  
+  
+I have created this init script, with help from [Gentoo's wiki page on Areca hardware|http://gentoo-wiki.com/HARDWARE_Areca]:  
+  
+<pre>  
+#! /bin/sh  
+  
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin  
+DAEMON=/usr/local/sbin/archttp32  
+NAME=archttp32  
+DESC="Areca RAID controller management interface"  
+  
+test -x $DAEMON || exit 0  
+  
+. /lib/lsb/init-functions  
+  
+set -e  
+  
+case "$1" in  
+ start)  
+ log_begin_msg "Starting $DESC..."  
+ start-stop-daemon --start --quiet -b -m --pidfile /var/run/$NAME.pid \  
+ --exec $DAEMON -- $DAEMON_OPTS 2>/dev/null || log_end_msg 1  
+ log_end_msg 0  
+ ;;  
+ stop)  
+ log_begin_msg "Stopping $DESC..."  
+ start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid \  
+ -s INT --exec $DAEMON --oknodo || log_end_msg 1  
+ sleep 5  
+ log_end_msg 0  
+ ;;  
+ restart|force-reload)  
+ log_begin_msg "Restarting $DESC..."  
+ start-stop-daemon --stop --quiet --exec $DAEMON --pidfile \  
+ /var/run/$NAME.pid --oknodo  
+ sleep 6  
+ start-stop-daemon --start -m -b --quiet --pidfile \  
+ /var/run/$NAME.pid --exec $DAEMON -- $DAEMON_OPTS || log_end_msg 1  
+ log_end_msg 0  
+ ;;  
+ *)  
+ N=/etc/init.d/$NAME  
+ # echo "Usage: $N {start|stop|restart|force-reload}" >&2  
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2  
+ exit 1  
+ ;;  
+esac  
+  
+exit 0  
+</pre>  
+  
+Then, set it to run on start with:  
+  
+<pre>  
+update-rc.d archttp32 defaults  
+</pre>  
+  
+If you're on 64-bit Linux, replace all instances of 32 above with 64 (the zip file comes with both).  
+  
+I have yet to find out if you can make the card send e-mail or other alerts in the case of a failure. If anyone knows, please edit this page!  
+  
+(Thanks to Jason Allen for reminding me that I hadn't set this up yet.)  
+  
+CategoryHardware%%%  
+CategoryNotes